Subject: Ftp-WG: multi-line responses acceptable when?

From: Pat LaVarre <[email-masked]>
Date: Mon, 14 Jan 2002 20:01:45 -0500

(subject was: Ftp-WG: to mlst-14 from mlst-13)
(you should Not also see this message from
[email-masked] - sorry if you do)

> > draft-ietf-ftpext-mlst-14.txt
> > ... thus quietly abandoning the rfc959
> > "recommend" re "spontaneous replies": 

> I'm not sure what you're getting at there?

Ouch, sorry I was unclear.  I meant "spontaneous
replies" only in the carefully formal fashion
suggested by rfc959.  Quoting more fully now:

> > > http://www.ietf.org/rfc/rfc959.txt 
..
> > > 5.4.  SEQUENCING OF COMMANDS AND REPLIES
..
> > > Spontaneous Replies
> > >
> > > Sometimes "the system" spontaneously has a
> > > message to be sent to a user (usually all
> > > users).  For example, "System going down
> > > in 15 minutes".  There is no provision in FTP
> > > for such spontaneous information to be sent
> > > from the server to the user.
..
> > > It is recommended that such information be
queued
> > > in the server-PI and delivered to the user-PI
> > > in the next reply (possibly making it
> > > a multi-line reply).

In that context ...

> draft-ietf-ftpext-mlst-14.txt
..
> Note that when the 213 response is issued,
> that is, when there is no error,
> the format MUST be exactly as specified.
> Multi-line responses are not permitted.

These specs are flatly in conflict ... except that
rfc's differ from commercial products in that she who
ships _last_ wins.

No?

How about a concrete example.  I think mlst-14 is
telling me that its example of:

        C> MDTM A
        S> 213 19980615100045.014

could never be:

        C> MDTM A
        S> 213-Please QUIT within five minutes.
        S> 213 19980615100045.014

nor:

        C> MDTM A
        S> 213-19980615100045.014
        S> 213 Please QUIT within five minutes.

Or have I misunderstood either/both rfc959 and
mlst-14?

> Or have I misunderstood ...

As yet, raw newbie though I am, I think an FtpClient
properly liberal in what it accepts would parse at
most the reply texts: 125/150 to STOU, 213 to
MDTM/SIZE, 227 to PASV, 229 to EPSV, 257 to PWD/MKD.

Accordingly, as yet, I think an FtpServer properly
conservative in what it sends would keep a
"spontaneous reply" secretly queued until the
FtpClient sent a command other than EPSV MDTM MKD PASV
PWD SIZE STOU.

I'd like to say an properly conservative FtpServer
would _never_ forward "spontaneous replies" ... except
I know personally I'd appreciate the "please QUIT
within five minutes" info, whenever I am talking Ftp
interactively.

Thanks again in advance.    Pat LaVarre

P.S.

<ftp://munnari.oz.au/internet-drafts/draft-ietf-ftpext-mlst-NN.txt.Z>
> ... Go back far enough
> ... the "summary of what changed in this draft" 
> ... directory listing ... long ...

Helpful, thank you.

__________________________________________________
Do You Yahoo!?
Send FREE video emails in Yahoo! Mail!
http://promo.yahoo.com/videomail/